Bug 219432 - math/mprime: Update to 28.10 (and take MAINTAINER'ship)
Summary: math/mprime: Update to 28.10 (and take MAINTAINER'ship)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-05-21 01:14 UTC by rozhuk.im
Modified: 2017-11-21 22:44 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (rozhuk.im)


Attachments
mprime update to 28.10 (4.90 KB, patch)
2017-05-21 01:14 UTC, rozhuk.im
no flags Details | Diff
add license (16.77 KB, patch)
2017-06-18 23:23 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2017-05-21 01:14:00 UTC
Created attachment 182768 [details]
mprime update to 28.10

Now it builds and work on i386 and amd64.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-04 14:50:05 UTC
@Rozhuk

Thank you for updating this port and taking maintainership, can you please confirm this change passes QA (portint, poudriere)
Comment 2 rozhuk.im 2017-06-18 23:23:49 UTC
Created attachment 183609 [details]
add license

I'm add license file, but not sure about license attributes in makefile.
Can some one check it?
Comment 3 rozhuk.im 2017-06-18 23:25:54 UTC
(In reply to Kubilay Kocak from comment #1)
portint - ok
make package - ok
poudriere - not tested.

I have no jails support in system to do some tests with poudriere.
Comment 4 rozhuk.im 2017-08-20 21:32:20 UTC
(In reply to Kubilay Kocak from comment #1)

Is poudriere builds required by some porters rules?
Comment 5 commit-hook freebsd_committer 2017-11-21 22:43:36 UTC
A commit references this bug:

Author: swills
Date: Tue Nov 21 22:43:07 UTC 2017
New revision: 454658
URL: https://svnweb.freebsd.org/changeset/ports/454658

Log:
  math/mprime: Update to 28.10

  While here:

  * Set maintainer to submitter
  * Add License file
  * Appease portlint by tweaking comment and moving ONLY_FOR_ARCHES

  PR:		219432
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/math/mprime/Makefile
  head/math/mprime/Makefile.amd64
  head/math/mprime/Makefile.i386
  head/math/mprime/distinfo
  head/math/mprime/files/LICENSE
  head/math/mprime/files/pkg-message.in
  head/math/mprime/pkg-plist
Comment 6 Steve Wills freebsd_committer 2017-11-21 22:44:12 UTC
Committed, thanks!